<ion-header>
  <ion-navbar>
    <ion-title>{{title}}</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-list>
    <ion-card (click)="showTabsForShop(shop)" *ngFor="let shop of facade.filteredShops">
      <ion-row align-items-center>
        <ion-col width-75>
          <ion-label>{{shop.name}}</ion-label>
          <ion-label>{{shop.getAdresFormatted()}}</ion-label>
        </ion-col>
        <ion-col align-items-center width-25>
          <button (click)="toggleFavorite(shop);" style="background: none;" ion-button icon-only color="transparent"
                  *ngIf="!shop.isFavorite">
            <ion-icon name="star-outline"></ion-icon>
          </button>
          <button (click)="toggleFavorite(shop);" style="background: none;" ion-button icon-only color="transparent"
                  *ngIf="shop.isFavorite">
            <ion-icon name="star" color="primary"></ion-icon>
          </button>
        </ion-col>
        <ion-col col-auto style="color: darkgray; font-size: 18px;">
          <ion-label>></ion-label>
        </ion-col>
      </ion-row>
    </ion-card>
  </ion-list>
  <ion-fab right bottom>
    <button (click)="showAddShopsPage()" ion-fab>
      <ion-icon name="add"></ion-icon>
    </button>
  </ion-fab>
</ion-content>
